Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8010769

Old version warning dialog is not accurate for Mac users

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: P3
    • Resolution: Duplicate
    • Affects Version/s: None
    • Fix Version/s: 9
    • Component/s: deploy
    • Labels:
    • Environment:

      Java 7u17+ Mac OS X 10.7+

    • OS:
      os_x

      Description

      If the user encounters an app that is requesting an old version of Java, they are shown the Warning - Old Version of Java Requested message (see attachment).

      The text on the dialog currently says: "This application would like to use an old version of Java (<version #>) that is not installed on your system. We recommend running the application with the latest version of Java on your computer."

      While technically, this is not wrong, it could be misleading by giving the user the impression that they could install an old version of Java. On Mac OS X, you can only have one version of the JRE installed, and it is not recommended for users to downgrade because of security concerns. So the text on this dialog should change. Also note that the "More Information" link on this dialog points to a FAQ on java.com that should change as well (separate webtracker issue filed for that https://webtracker.oracle.com:7002/tasklist.do?view=48174).

      I suggest the text on the Mac version of the Old Version requested dialog should read:

      (if the user is on the latest version of Java - the Run with the latest version is the default)

      "This application has requested to run on an old version of Java (<version #>). This version is not available on your computer. We recommend running the application with the version of Java on your computer."
      [*Run*] [Cancel]

      (If the user is on a version of Java below the security baseline -- the Update Java button is the default)

      "This application has requested to run on an old version of Java (<version #>). This version is not available on your computer. We recommend updating Java before you run this application."
      [Run] [*Update Java*] [Cancel]

        Attachments

          Activity

            People

            Assignee:
            dtitov Daniil Titov (Inactive)
            Reporter:
            jmhoffma Jeff Hoffman
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: